<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [serverExists](./bitburner.ns.serverexists.md)

## NS.serverExists() method

Returns a boolean denoting whether or not the specified server exists.

<b>Signature:</b>

```typescript
serverExists(host: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Host of target server. |

<b>Returns:</b>

boolean

True if specified server exists, and false otherwise.

## Remarks

RAM cost: 0.1 GB

